python2.5 compliant